#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Mouse
Summary:	Mouse - Moose minus the antlers
#Summary(pl.UTF-8):
Name:		perl-Mouse
Version:	0.28
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/S/SU/SUNNAVY/%{pdir}-%{version}.tar.gz
# Source0-md5:	44131d442479efe442abc713248249ae
URL:		http://search.cpan.org/dist/Mouse/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.42
BuildRequires:	perl-Test-Exception >= 0.21
BuildRequires:	perl-Test-Simple >= 0.8
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Moose is wonderful. Use Moose instead of Mouse.

Unfortunately, it's a little slow. Though significant progress has
been made over the years, the compile time penalty is a non-starter
for some applications.

Mouse aims to alleviate this by providing a subset of Moose's
functionality, faster. In particular, L<Moose/has> is missing only a
few expert-level features.

# %description -l pl.UTF-8

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/MouseX

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/Mouse/
%{perl_vendorlib}/MouseX/
%{perl_vendorlib}/Squirrel/
%{_mandir}/man3/*
%changelog
* Sat Jul 06 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Mouse.git;a=log;h=AC-branch

* Thu Sep 10 2009 radek <radek@pld-linux.org> 713b953
- version 0.28

* Thu Aug 27 2009 amateja <amateja@pld-linux.org> 6302903
- updated to 0.27
- Source0: URL changed

* Tue Jun 16 2009 amateja <amateja@pld-linux.org> 9efc05b
- updated Source0 URL

* Tue Jun 16 2009 amateja <amateja@pld-linux.org> 72d12dc
- updated to 0.24

* Sun Mar 01 2009 radek <radek@pld-linux.org> d99113a
- version 0.17

* Wed Feb 11 2009 radek <radek@pld-linux.org> 2bb7624
- version 0.16

* Sun Feb 01 2009 radek <radek@pld-linux.org> f1b70b0
- new

